GET api/payouts/pending
A collection of payouts yet to be transferred to a member. This can be filtered by the member.
Request Information
URI Parameters
Query String: memberId={memberId}&recipientId={recipientId}&includeIneligible={includeIneligible}
| Name | Description | Type | Additional information |
|---|---|---|---|
| memberId |
(deprecated) The unique ID of the member to whom the amount is owed. Opitonal. |
string |
None. |
| recipientId |
The unique ID of the recpient to whom the amount is owed. Optional. |
string |
None. |
| includeIneligible |
Includes payouts for ineligibile rewards based on eligiblity date dates in the future. Optional. |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
[HTTP Status 200 - OK] A set of pending payouts
Type: PayoutPendingSet
| Name | Description | Type | Additional information |
|---|---|---|---|
| payoutsPending |
A list of payoutPending objects. |
Collection of PayoutPending |
None. |
| offset |
Starting index (0 based) of the elements in the set. |
integer |
None. |
| total |
Total number of elements in the set. |
integer |
None. |
| message |
The message provides more information about the results of the client's request. Review this field for error information. |
string |
None. |
Response Formats
application/json, text/json
{
"offset": 1,
"total": 2,
"message": "sample string 3",
"payoutsPending": [
{
"payoutId": "c14d3136-443e-4d85-b8af-25a52cf83817",
"Description": "sample string 2",
"rewardCount": 3,
"amount": 4.0,
"rewardsList": "sample string 5",
"programId": "5c01746d-d356-4d96-8bf0-1fb753538dd2",
"programName": "sample string 7",
"memberId": "71db914d-89f2-4b59-8b8e-52c192c040d2",
"memberName": "sample string 9",
"recipientId": "394a4603-682d-4788-af8c-5d760ca9728e",
"RecipientName": "sample string 11",
"RecipientType": "sample string 12"
},
{
"payoutId": "c14d3136-443e-4d85-b8af-25a52cf83817",
"Description": "sample string 2",
"rewardCount": 3,
"amount": 4.0,
"rewardsList": "sample string 5",
"programId": "5c01746d-d356-4d96-8bf0-1fb753538dd2",
"programName": "sample string 7",
"memberId": "71db914d-89f2-4b59-8b8e-52c192c040d2",
"memberName": "sample string 9",
"recipientId": "394a4603-682d-4788-af8c-5d760ca9728e",
"RecipientName": "sample string 11",
"RecipientType": "sample string 12"
}
]
}
application/xml, text/xml
<payoutsPendingSet xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ReferralRock.Api.Models.Response">
<offset xmlns="">1</offset>
<total xmlns="">2</total>
<message xmlns="">sample string 3</message>
<payoutsPending>
<PayoutPending>
<payoutId>c14d3136-443e-4d85-b8af-25a52cf83817</payoutId>
<Description>sample string 2</Description>
<rewardCount>3</rewardCount>
<amount>4</amount>
<rewardsList>sample string 5</rewardsList>
<programId>5c01746d-d356-4d96-8bf0-1fb753538dd2</programId>
<programName>sample string 7</programName>
<memberId>71db914d-89f2-4b59-8b8e-52c192c040d2</memberId>
<memberName>sample string 9</memberName>
<recipientId>394a4603-682d-4788-af8c-5d760ca9728e</recipientId>
<RecipientName>sample string 11</RecipientName>
<RecipientType>sample string 12</RecipientType>
</PayoutPending>
<PayoutPending>
<payoutId>c14d3136-443e-4d85-b8af-25a52cf83817</payoutId>
<Description>sample string 2</Description>
<rewardCount>3</rewardCount>
<amount>4</amount>
<rewardsList>sample string 5</rewardsList>
<programId>5c01746d-d356-4d96-8bf0-1fb753538dd2</programId>
<programName>sample string 7</programName>
<memberId>71db914d-89f2-4b59-8b8e-52c192c040d2</memberId>
<memberName>sample string 9</memberName>
<recipientId>394a4603-682d-4788-af8c-5d760ca9728e</recipientId>
<RecipientName>sample string 11</RecipientName>
<RecipientType>sample string 12</RecipientType>
</PayoutPending>
</payoutsPending>
</payoutsPendingSet>